//Implementation by Tom Maremaa and William Stewart from Quicktime for Java: A 
//Developer Reference.  Morgan Kaufman / Apple Computer, Inc, 1999.
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

import quicktime.*;
import quicktime.io.*;
import quicktime.std.movies.*;
import quicktime.app.display.QTCanvas;
import quicktime.app.players.QTPlayer;

public class JavaMovie extends JFrame 
{
    
    public static void main(String args[])
    {
        try
        {
            QTSession.open();
            JavaMovie pm = new JavaMovie("QT in Java");
            pm.pack();
            pm.show();
            pm.toFront();
        }
        catch (QTException e)
        {
            System.out.println(e);
        }
    }
    
    JavaMovie (String title) throws QTException 
    {
        super (title);
        QTFile qtf = QTFile.standardGetFilePreview(QTFile.kStandardQTFileTypes);
        
        OpenMovieFile movieFile = OpenMovieFile.asRead(qtf);
        Movie m = Movie.fromFile(movieFile);
        
        MovieController mc = new MovieController(m);
        mc.setKeysEnabled(true);
        
        QTCanvas myQTCanvas = new QTCanvas();
        getContentPane().add(myQTCanvas);
        
        QTPlayer myQTPlayer = new QTPlayer(mc);
        
        myQTCanvas.setClient(myQTPlayer, true);
    }
}